import sys
from setuptools import setup, find_packages

# Lista base de dependências
install_requires = [
    'alabaster',
    'annotated-types==0.7.0',
    'arrow',
    'astroid',
    'asttokens',
    'atomicwrites==1.4.0',
    'attrs',
    'autopep8',
    'Babel',
    'bcrypt',
    'beautifulsoup4',
    'binaryornot',
    'black',
    'bleach',
    'blis==1.0.1',
    'Brotli',
    'catalogue==2.0.10',
    'certifi',
    'cffi',
    'chardet',
    'charset-normalizer',
    'click',
    'cloudpathlib==0.19.0',
    'cloudpickle',
    'colorama',
    'comm',
    'confection==0.1.5',
    'cookiecutter',
    'cryptography',
    'cymem==2.0.8',
    'debugpy',
    'decorator',
    'defusedxml',
    'diff-match-patch',
    'dill',
    'docstring-to-markdown',
    'docutils',
    'et-xmlfile==1.1.0',
    'executing',
    'fastjsonschema',
    'flake8',
    'idna',
    'imagesize',
    'importlib-metadata',
    'inflection',
    'intervaltree',
    'ipykernel',
    'ipython',
    'isort',
    'jaraco.classes',
    'jedi',
    'jellyfish',
    'Jinja2',
    'jsonschema',
    'jsonschema-specifications',
    'jupyter_client',
    'jupyter_core',
    'jupyterlab-pygments',
    'keyring',
    'langcodes==3.4.1',
    'language_data==1.2.0',
    'lazy-object-proxy',
    'marisa-trie==1.2.1',
    'markdown-it-py',
    'MarkupSafe',
    'matplotlib-inline',
    'mccabe',
    'mdurl',
    'mistune',
    'more-itertools',
    'murmurhash==1.0.10',
    'mypy-extensions',
    'nbclient',
    'nbconvert',
    'nbformat',
    'nest-asyncio',
    'numpy==2.0.2',
    'numpydoc',
    'opencv-python-headless==4.10.0.84',
    'openpyxl',
    'packaging',
    'pandas',
    'pandocfilters',
    'paramiko',
    'parso',
    'pathspec',
    'pexpect',
    'pickleshare',
    'platformdirs',
    'pluggy',
    'ply',
    'preshed==3.0.9',
    'prompt-toolkit',
    'psutil',
    'ptyprocess',
    'pure-eval',
    'pycodestyle',
    'pycparser',
    'pydantic==2.9.2',
    'pydantic_core==2.23.4',
    'pydocstyle',
    'pyflakes',
    'Pygments',
    'pylint',
    'pylint-venv',
    'pyls-spyder==0.4.0',
    'PyNaCl',
    'pypdf==5.0.1',
    'PyQt5==5.15.10',
    'PyQt5-sip',
    'PyQtWebEngine==5.15.6',
    'PySocks',
    'python-dateutil',
    'python-lsp-black',
    'python-lsp-jsonrpc',
    'python-lsp-server',
    'python-slugify',
    'pytoolconfig',
    'pytz',
    'PyYAML',
    'pyzmq',
    'QDarkStyle',
    'qstylizer',
    'spacy',
]

# Adiciona pywin32 somente no Windows
if sys.platform == 'win32':
    install_requires.append('pywin32==305.1')
    install_requires.append('pywin32-ctypes')

# Configuração do pacote
setup(
    name='leitor-pdf-sensivel',
    version='1.1',
    packages=find_packages(),
    install_requires=install_requires,
    # Outros parâmetros como author, description, etc.
)
